#include "DBView.h"

DBView::DBView()
    : DBListBox()
{
}

DBView::~DBView()
{
}
    
std::string DBView::getDisplayText(SQLiteDataReader& reader)
{
    char s[256] = "";
    const char* cn = reader["name"];
    if (cn && *cn)
        strcpy(s, cn);
    cn = reader["price"];
    if (cn && *cn)
    {
        strcat(s, "|");
        strcat(s, cn);
    }
    
    return s;
}
